<?php
namespace edu\wisc\services\cbs\api;

/**
 * A contract that CBS SOAP clients must follow to ensure consistency during instantiation.
 */
interface SoapService extends Service
{

    /** Paths to QA CBS WSDLs */
    const QA_HEADER = __DIR__ . '/../../../../../resources/doit_soa_order_iface_h_v2.xml';
    const QA_LINE = __DIR__ . '/../../../../../resources/doit_soa_order_iface_l_v2.xml';
    const QA_PAYMENT = __DIR__ . '/../../../../../resources/doit_soa_payment_v2.xml';
    const QA_INTERFACING = __DIR__ . '/../../../../../resources/doit_soa_order_iface_i_v2.xml';
    const QA_PRICE = __DIR__ . '/../../../../resources/doit_soa_pricing_v2.xml';

    /**
     * A SOAP service is constructed with a username and password. If a {@link \SoapClient} is provided, the username
     * and password are ignored.
     *
     * @param string $username  username
     * @param string $password  password
     * @param string|null $wsdlPath path to WSDL for specifying CBS environment. Defaults to QA
     * @param \SoapClient|null $soapClient  Overriding SOAP client (for testing purposes)
     */
    public function __construct($username, $password, $wsdlPath = null, \SoapClient $soapClient = null);
}
