<?php

namespace edu\wisc\services\cbs\common;

/**
 * MagentoOrder is an abstract class defining fixed values used by CBS when creating {@link OrderHeader}s,
 * {@link OrderLine}s and {@link OrderPayment}s.
 */
abstract class MagentoOrder
{

    /** @var string Fixed value for all orders of this source */
    const ORDER_SOURCE = 'DOIT MAGE';

    /** @var string Prefix used by ORIG_SYS_DOCUMENT_REF */
    const ORIG_SYS_PREFIX = 'MAGE';

    /** @var string Customer Type for 'Institutional' orders */
    const INSTITUTIONAL = 'INSTITUTIONAL';

    /** @var string Customer Type for 'Personal' orders */
    const PERSONAL = 'PERSONAL';

    /** @var string Type of identifier for 'Personal' orders */
    const PERSONAL_IDENTIFIER_TYPE = 'PVI';

    /** @var string Type of identifier for 'Institutional' orders */
    const INSTITUTIONAL_IDENTIFIER_TYPE = 'DNUMBER';

    /** @var string Type of identifier for SOAR Parent orders */
    const SOAR_PARENT_IDENTIFIER_TYPE = 'SoarParent';

    /** @var string Payment type for credit card orders */
    const CREDIT_CARD_IDENTIFIER_TYPE = 'CREDIT CARD';

    /** @var string 'Sales Rep' who sold this order (online, so Magento) */
    const SALES_REP = 'Magento';

    /** @var string CBS value for UPS shipping method */
    const UPS_SHIPPING = 'DAYTON DELIVERY';

    /** @var string CBS value for Tech Store Pickup shipping method */
    const TS_PICKUP = 'TECHSTORE PICKUP';

    /** @var string CBS value for HSLC Pickup shipping method */
    const HSLC_PICKUP = 'HSLC PICKUP';

    /** @var string CBS value for ECM Pickup shipping method */
    const ECM_PICKUP = 'ECM PICKUP';

    /** @var string Street address for UPS Shipping line item charge (will always be CS) */
    const UPS_ADDRESS = '1210 W. Dayton St.';

    /** @var string City for UPS Shipping line item charge (will always be CS) */
    const UPS_CITY = 'Madison';

    /** @var string State for UPS Shipping line item charge (will always be CS) */
    const UPS_STATE = 'WI';

    /** @var string Zip code for UPS Shipping line item charge (will always be CS) */
    const UPS_ZIP = '53706';

}
