<?php

namespace edu\wisc\services\cbs\order\interfacing;

use edu\wisc\services\cbs\api\MockService;
use edu\wisc\services\cbs\common\AbstractServiceResponse;
use edu\wisc\services\cbs\order\OrderServiceResponse;

class MockOrderInterfacingService implements OrderInterfacingService, MockService
{

    /** @var AbstractServiceResponse */
    private $response;

    /**
     * {@inheritdoc}
     */
    public function __construct(AbstractServiceResponse $response = null)
    {
        if ($response === null) {
            $this->response = new OrderServiceResponse(
                true,
                "Mock Order Interfacing Service Response"
            );
        } else {
            $this->response = $response;
        }
    }

    /**
     * {@inheritdoc}
     */
    public function interfaceOrder($orderNumber)
    {
        return $this->response;
    }

}
