<?php

namespace edu\wisc\services\cbs\price;

use edu\wisc\services\cbs\api\MockService;
use edu\wisc\services\cbs\common\AbstractServiceResponse;
use Money\Money;

class MockPriceService implements PriceService, MockService
{

    /** @var  PriceServiceResponse */
    private $response;

    /**
     * @inheritdoc
     */
    public function __construct(AbstractServiceResponse $response = null)
    {
        if ($response === null) {
            $this->response = new PriceServiceResponse(true, 'Mock CBS Product Price Response');
            return;
        }
        $this->response = $response;
    }

    /**
     * {@inheritdoc}
     */
    public function updateProductPrice($sku, Money $price)
    {
        return $this->response;
    }
}
