<?php

use edu\wisc\services\cbs\order\payment\MockOrderPaymentService;
use edu\wisc\services\cbs\order\payment\OrderPayment;
use edu\wisc\services\cbs\order\payment\OrderPaymentServiceResponse;
use Money\Money;

class MockOrderPaymentServiceTest extends \PHPUnit_Framework_TestCase
{

    /** @test */
    public function alwaysSucceedsByDefault()
    {
        $client = new MockOrderPaymentService();
        $payment = new OrderPayment();
        $response = $client->createOrderPayment($payment);
        static::assertTrue($response->isSuccess());
    }

    /** @test */
    public function returnsCustomResponse()
    {
        $mockResponse = new OrderPaymentServiceResponse(
            true,
            "Custom Order Payment Service Response",
            Money::USD(0),
            Money::USD(0),
            (new DateTime())
        );
        $client = new MockOrderPaymentService($mockResponse);
        $payment = new OrderPayment();
        $response = $client->createOrderPayment($payment);
        static::assertEquals($mockResponse, $response);
    }

}
